org.codehaus.groovy.runtime.callsite

## Class PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrapNoCoerce

- java.lang.Object
- - org.codehaus.groovy.runtime.callsite.AbstractCallSite
  - - org.codehaus.groovy.runtime.callsite.MetaClassSite
    - - org.codehaus.groovy.runtime.callsite.MetaMethodSite
      - - org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite
        - - org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite.PogoCachedMethodSite
          - - org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrapNoCoerce

All Implemented Interfaces:
  CallSite

Enclosing class:
  PogoMetaMethodSite

    public static class PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrapNoCoerce
    extends PogoMetaMethodSite.PogoCachedMethodSite

### Nested Class Summary

### Nested classes/interfaces inherited from class org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite

`PogoMetaMethodSite.PogoCachedMethodSite, PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrap, PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrapNoCoerce, PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrap, PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce`

### Field Summary

### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaMethodSite

`params`

### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

`metaClass`

### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`array, index, name, usage`

### Constructor Summary

Constructors
Constructor and Description
`PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrapNoCoerce(CallSite site, MetaClassImpl metaClass, CachedMethod metaMethod, Class[] params)`

### Method Summary

Methods
`Object` `invoke(Object receiver, Object[] args)`

### Methods inherited from class org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite

`call, callCurrent, checkCall, checkCall, checkCall, checkCall, checkCall, checkCall, createCachedMethodSite, createPogoMetaMethodSite`

### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrapNoCoerce

    public PogoMetaMethodSite.PogoCachedMethodSiteNoUnwrapNoCoerce(CallSite site,
                                                           MetaClassImpl metaClass,
                                                           CachedMethod metaMethod,
                                                           Class[] params)

### Method Detail

#### invoke

    public final Object invoke(Object receiver,
                Object[] args)
                        throws Throwable

Overrides:
  `invoke` in class `PogoMetaMethodSite.PogoCachedMethodSite`
Throws:
  `Throwable`